CREATE procedure [dbo].[Verifica_esecuzione_API_Trimestrale_CB] as  
begin   
 if( (SELECT TOP (1) 
[flattivo]
FROM [ConsulenzaUnicaFL].[dbo].[Semaforo]
where nomebatch='Trimestrale Sei'
order by id desc)<>0)
begin
WAITFOR DELAY '00:03:00';
exec [ConsulenzaUnicaFL].[dbo].[Verifica_esecuzione_API_Trimestrale_CB]
end
else
print('OK')
end